/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package test;

import javax.ejb.EJB;
import javax.ejb.Stateful;


/**
 * 3. Client -> SF2
 * 4. Client -> SS2 -> SF2
 * 5. Client -> SF1 -> SF2
 * 7. Client -> SF1 -> SS1 -> SF2
 */


/**
 *
 * @author Miro
 */
@Stateful
public class SF2Bean
    implements SF2Remote, SF2Local
{
    private int id;

    @EJB
    private SS2Local ss2;

    public SF2Bean()
    {
        id = ++SF1Bean.counter;
    }

    public void localCall(int testNumber)
    {
        System.out.println("localCall:  " + this + ", test " + testNumber);
    }

    public void remoteCall(int testNumber)
    {
        System.out.println("remoteCall: " + this + ", test " + testNumber);
        switch(testNumber)
        {
            case 8:
                ss2.localCall(testNumber);
                break;
        }
    }

    @Override
    public String toString()
    {
        return super.toString() + ", id:" + id;
    }
}
