/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cleintcallback;

import javax.naming.InitialContext;
import test.AcaciaSessionRemote;
import test.SF1Remote;
import test.SF2Remote;
import test.SS1Remote;
import test.SS2Remote;

/**
 * 1. Client -> SS1 -> SF1
 * 2. Client -> SF1
 * 3. Client -> SF2
 * 4. Client -> SS2 -> SF2
 * 5. Client -> SF1 -> SF2
 * 6. Client -> SF1 -> SS1 -> SF1
 * 7. Client -> SF1 -> SS1 -> SF2
 * 8. Client -> SF2 -> SS2 -> SF2
 * 9. Client -> SS2 R-> SF2

localCall:  test._SF1Bean_Serializable@1a0b066, id:4, test 1
localCall:  test._SF1Bean_Serializable@1a0b066, id:4, test 6

remoteCall: test._SF1Bean_Serializable@5670b4, id:1, test 2
remoteCall: test._SF1Bean_Serializable@5670b4, id:1, test 5
remoteCall: test._SF1Bean_Serializable@5670b4, id:1, test 6
remoteCall: test._SF1Bean_Serializable@5670b4, id:1, test 7

remoteCall: test._SF2Bean_Serializable@a16872, id:3, test 3
remoteCall: test._SF2Bean_Serializable@a16872, id:3, test 8

localCall:  test._SF2Bean_Serializable@460b07, id:9, test 4
localCall:  test._SF2Bean_Serializable@460b07, id:9, test 8

localCall:  test._SF2Bean_Serializable@1f440e7, id:2, test 5
localCall:  test._SF2Bean_Serializable@131370f, id:6, test 7


 */


/**
 *
 * @author Miro
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args)
        throws Exception
    {
        AcaciaSessionRemote acaciaSession = InitialContext.doLookup(AcaciaSessionRemote.class.getName());
        acaciaSession.login("test", "test".toCharArray());

        SS1Remote ss1 = InitialContext.doLookup(SS1Remote.class.getName());
        SS2Remote ss2 = InitialContext.doLookup(SS2Remote.class.getName());
        SF1Remote sf1 = InitialContext.doLookup(SF1Remote.class.getName());
        SF2Remote sf2 = InitialContext.doLookup(SF2Remote.class.getName());

        ss1.remoteCall(1);
        sf1.remoteCall(2);
        sf2.remoteCall(3);
        ss2.remoteCall(4);
        sf1.remoteCall(5);
        sf1.remoteCall(6);
        sf1.remoteCall(7);
        sf2.remoteCall(8);
        ss2.remoteCall(9);

        acaciaSession.logout();
    }

}
