/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package test;

import javax.ejb.EJB;
import javax.ejb.Stateful;

/**
 * 1. Client -> SS1 -> SF1
 * 2. Client -> SF1
 * 5. Client -> SF1 -> SF2
 * 6. Client -> SF1 -> SS1 -> SF1
 * 7. Client -> SF1 -> SS1 -> SF2
 */


/**
 *
 * @author Miro
 */
@Stateful
public class SF1Bean
    implements SF1Remote, SF1Local
{
    static int counter;

    @EJB
    private SS1Local ss1;

    @EJB
    private SF2Local sf2;

    private int id;

    public SF1Bean()
    {
        id = ++counter;
    }

    public void localCall(int testNumber)
    {
        System.out.println("localCall:  " + this + ", test " + testNumber);
        switch(testNumber)
        {
            case 1:
            case 6:
                break;
        }
    }

    public void remoteCall(int testNumber)
    {
        System.out.println("remoteCall: " + this + ", test " + testNumber);
        switch(testNumber)
        {
            case 2:
                break;

            case 5:
                sf2.localCall(testNumber);
                break;

            case 6:
            case 7:
                ss1.localCall(testNumber);
                break;
        }
    }

    @Override
    public String toString()
    {
        return super.toString() + ", id:" + id;
    }
}
