/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package test;

import javax.ejb.EJB;
import javax.ejb.Stateless;

/**
 * 1. Client -> SS1 -> SF1
 * 6. Client -> SF1 -> SS1 -> SF1
 * 7. Client -> SF1 -> SS1 -> SF2
 */


/**
 *
 * @author Miro
 */
@Stateless
public class SS1Bean
    implements SS1Remote, SS1Local
{
    @EJB
    private SF1Local sf1;

    @EJB
    private SF2Local sf2;

    public void remoteCall(int testNumber)
    {
        switch(testNumber)
        {
            case 1:
                sf1.localCall(testNumber);
                break;
        }
    }

    public void localCall(int testNumber)
    {
        switch(testNumber)
        {
            case 6:
                sf1.localCall(testNumber);
                break;

            case 7:
                sf2.localCall(testNumber);
                break;
        }
    }
}
